## tpm2-tss 4.0.1

=== debian/changelog ===
tpm2-tss (4.0.1-7.1ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:28:53 +0000

tpm2-tss (4.0.1-7.1ubuntu4) noble; urgency=medium

  * No-change rebuild against libcurl4t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 07:05:25 +0000

tpm2-tss (4.0.1-7.1ubuntu3) noble; urgency=medium

  * Disable testsuite on armhf for now (the mocking the test harness does
    appears to fail when _FILE_BITS == 64).

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 08 Mar 2024 10:56:26 +1300

tpm2-tss (4.0.1-7.1ubuntu2) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 05 Mar 2024 02:07:00 +0000

tpm2-tss (4.0.1-7.1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Disable lto, not yet ready upstream.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 01 Mar 2024 12:09:45 +0100

tpm2-tss (4.0.1-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062992

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 18:28:02 +0000

tpm2-tss (4.0.1-7ubuntu1) noble; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Disable lto, not yet ready upstream.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 25 Jan 2024 16:36:53 +0100

tpm2-tss (4.0.1-7) unstable; urgency=low

  [ Jeremy Bícha ]
  * Add debian/salsa-ci.yml

  [ Ying-Chun Liu (PaulLiu) ]
  * debian/control: libtss2-mu-4.0.1-0 conflicts libtss2-mu0 (Closes: #1061438)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Thu, 25 Jan 2024 21:48:43 +0800

tpm2-tss (4.0.1-6ubuntu1) noble; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Disable lto, not yet ready upstream.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 23 Jan 2024 15:27:00 +0100

tpm2-tss (4.0.1-6) unstable; urgency=low

  * debian/control: add tpm-udev to Build-Depends.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 23 Jan 2024 17:38:32 +0800

tpm2-tss (4.0.1-5ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Disable lto, not yet ready upstream.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 23 Jan 2024 09:03:22 +0100

tpm2-tss (4.0.1-5) unstable; urgency=low

  * Upload 4.0.1-4 to unstable. (Closes: #1051284)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 23 Jan 2024 01:17:51 +0800

tpm2-tss (4.0.1-4) experimental; urgency=low

  * ABI broken by the upstream thus we rename the package to reflect this.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 26 Nov 2023 13:40:26 +0800

tpm2-tss (4.0.1-3ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Disable lto, not yet ready upstream.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 02 Oct 2023 09:42:09 +0200

tpm2-tss (4.0.1-3) unstable; urgency=low

  [ Bastian Germann ]
  * Prevent online request for docbookx.dtd

  [ Lukas Märdian <slyon@ubuntu.com> ]
  * Fix FTBFS due to big-endian conversion issues (LP: #2031020)
    + Apply tcti libtpms fixes for s390x s390x
      d/p/0001-tss2-tcti-tcti-libtpms-fix-test-failure-on-big-endia.patch
    + Fix big-endian issue in tcti-spi-helper
      d/p/fix-tcti-spi-helper-big-endian.patch
    + Skip failing tests on big-endian, due to broken binary test input files
      d/p/disable-tests-on-big-endian.patch

  [ Ying-Chun Liu (PaulLiu) <paulliu@debian.org> ]
  * Merge Ubuntu's changes. (Closes: #1040521)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 01 Oct 2023 14:40:02 +0800

tpm2-tss (4.0.1-2) unstable; urgency=low

  * add patches/0003-test-unit-tcti-libtpms-fix-test-failed-at-32-bit-pla.patch
    - We add this patch to fix build failure on 32-bit platforms.
      This partially fix bug #1040521.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 18 Jul 2023 06:27:17 +0800

tpm2-tss (4.0.1-1) unstable; urgency=low

  * New upstream version 4.0.1
  * remove debian/patches/0003-tss2_rc-ensure-layer-number-is-in-bounds.patch
    - This patch is already upstreamed.
  * debian/control: bump debhelper compat to 13
  * debian/control: add libtpms-dev to Build-Depends
  * debian/control: add uuid-dev to Build-Depends
  * debian/control: add new package for new content
    - add libtss2-policy0, libtss2-tcti-libtpms0 and libtss2-tcti-spi-helper0
  * update symbols files.
  * debian/rules: don't use --list-missing on dh_install
  * debian/not-installed: add tpm-udev.rules as it is in tpm-udev package.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 05 Jul 2023 18:33:29 +0800
