=== debian/control ===
Source: tpm2-tss
Section: libs
Priority: optional
Maintainer: Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>
Uploaders: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>,
           Ivan Hu <ivan.hu@ubuntu.com>,
           Mario Limonciello <superm1@gmail.com>
Build-Depends: dpkg-dev (>= 1.22.5), acl,
               autoconf,
               autoconf-archive,
               debhelper-compat (= 13),
               docbook-xml,
               docbook-xsl,
               doxygen,
               libcmocka-dev (>= 1.0),
               libcurl4-openssl-dev | libcurl-dev,
               libjson-c-dev,
               libltdl-dev,
               libssl-dev,
               libtool,
               libtpms-dev,
               pkg-config,
               tpm-udev,
               uuid-dev,
               xsltproc
Homepage: https://github.com/tpm2-software/tpm2-tss
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/debian/tpm2-tss
Vcs-Git: https://salsa.debian.org/debian/tpm2-tss.git

Package: libtss2-esys-3.0.2-0t64
Provides: ${t64:Provides}
Architecture: any
Depends: libtss2-tcti-cmd0t64,
         libtss2-tcti-device0t64,
         libtss2-tcti-mssim0t64,
         libtss2-tcti-swtpm0t64,
         tpm-udev,
         ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Breaks: libtss2-esys-3.0.2-0 (<< ${source:Version}), libtss2-esys0 (<< 3.0.2-1)
Replaces: libtss2-esys-3.0.2-0, libtss2-esys0 (<< 3.0.2-1)
Description: TPM2 Software stack library - TSS and TCTI libraries
 TPM2.0 TSS (Software Stack) consists of API layers provided to support
 TPM 2.0 chips. It is made out of three layers:
 .
   - Enhanced System API (ESAPI)
   - System API (SAPI), which implements the system layer API;
   - Marshaling/Unmarshaling (MU)
   - TPM Command Transmission Interface (TCTI), which is used by SAPI to
     allow communication with the TAB/RM layer;
 .
 This package contains the TSS esys libraries that client applications
 will link against when they require accessing the TPM.

Package: libtss2-fapi1t64
Provides: ${t64:Provides}
Architecture: any
Depends: tpm-udev, ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Breaks: libtss2-fapi1 (<< ${source:Version}), libtss2-esys0 (<< 3.0.1-2)
Replaces: libtss2-fapi1, libtss2-esys0 (<< 3.0.1-2)
Description: TPM2 Software stack library - TSS and TCTI libraries
 TPM2.0 TSS (Software Stack) consists of API layers provided to support
 TPM 2.0 chips. It is made out of three layers:
 .
   - Enhanced System API (ESAPI)
   - System API (SAPI), which implements the system layer API;
   - Marshaling/Unmarshaling (MU)
   - TPM Command Transmission Interface (TCTI), which is used by SAPI to
     allow communication with the TAB/RM layer;
 .
 This package contains the TSS fapi libraries that client applications
 will link against when they require accessing the TPM.

Package: libtss2-mu-4.0.1-0t64
Provides: ${t64:Provides}
Architecture: any
Depends: tpm-udev, ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Breaks: libtss2-mu-4.0.1-0 (<< ${source:Version}), libtss2-esys0 (<< 3.0.1-2)
Replaces: libtss2-mu-4.0.1-0, libtss2-esys0 (<< 3.0.1-2), libtss2-mu0 (<< 4.0.1-4)
Conflicts: libtss2-mu0
Description: TPM2 Software stack library - TSS and TCTI libraries
 TPM2.0 TSS (Software Stack) consists of API layers provided to support
 TPM 2.0 chips. It is made out of three layers:
 .
   - Enhanced System API (ESAPI)
   - System API (SAPI), which implements the system layer API;
   - Marshaling/Unmarshaling (MU)
   - TPM Command Transmission Interface (TCTI), which is used by SAPI to
     allow communication with the TAB/RM layer;
 .
 This package contains the TSS mu libraries that client applications
 will link against when they require accessing the TPM.

Package: libtss2-rc0t64
Provides: ${t64:Provides}
Architecture: any
Depends: tpm-udev, ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Breaks: libtss2-rc0 (<< ${source:Version}), libtss2-esys0 (<< 3.0.1-2)
Replaces: libtss2-rc0, libtss2-esys0 (<< 3.0.1-2)
Description: TPM2 Software stack library - TSS and TCTI libraries
 TPM2.0 TSS (Software Stack) consists of API layers provided to support
 TPM 2.0 chips. It is made out of three layers:
 .
   - Enhanced System API (ESAPI)
   - System API (SAPI), which implements the system layer API;
   - Marshaling/Unmarshaling (MU)
   - TPM Command Transmission Interface (TCTI), which is used by SAPI to
     allow communication with the TAB/RM layer;
 .
 This package contains the TSS rc libraries that client applications
 will link against when they require accessing the TPM.

Package: libtss2-sys1t64
Provides: ${t64:Provides}
Architecture: any
Depends: tpm-udev, ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Breaks: libtss2-sys1 (<< ${source:Version}), libtss2-esys0 (<< 3.0.1-2)
Replaces: libtss2-sys1, libtss2-esys0 (<< 3.0.1-2)
Description: TPM2 Software stack library - TSS and TCTI libraries
 TPM2.0 TSS (Software Stack) consists of API layers provided to support
 TPM 2.0 chips. It is made out of three layers:
 .
   - Enhanced System API (ESAPI)
   - System API (SAPI), which implements the system layer API;
   - Marshaling/Unmarshaling (MU)
   - TPM Command Transmission Interface (TCTI), which is used by SAPI to
     allow communication with the TAB/RM layer;
 .
 This package contains the TSS sys libraries that client applications
 will link against when they require accessing the TPM.

Package: libtss2-tcti-cmd0t64
Provides: ${t64:Provides}
Architecture: any
Depends: tpm-udev, ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Breaks: libtss2-tcti-cmd0 (<< ${source:Version}), libtss2-esys0 (<< 3.0.1-2)
Replaces: libtss2-tcti-cmd0, libtss2-esys0 (<< 3.0.1-2)
Description: TPM2 Software stack library - TSS and TCTI libraries
 TPM2.0 TSS (Software Stack) consists of API layers provided to support
 TPM 2.0 chips. It is made out of three layers:
 .
   - Enhanced System API (ESAPI)
   - System API (SAPI), which implements the system layer API;
   - Marshaling/Unmarshaling (MU)
   - TPM Command Transmission Interface (TCTI), which is used by SAPI to
     allow communication with the TAB/RM layer;
 .
 This package contains the TCTI cmd libraries that client applications
 will link against when they require accessing the TPM.

Package: libtss2-tcti-device0t64
Provides: ${t64:Provides}
Architecture: any
Depends: tpm-udev, ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Breaks: libtss2-tcti-device0 (<< ${source:Version}), libtss2-esys0 (<< 3.0.1-2)
Replaces: libtss2-tcti-device0, libtss2-esys0 (<< 3.0.1-2)
Description: TPM2 Software stack library - TSS and TCTI libraries
 TPM2.0 TSS (Software Stack) consists of API layers provided to support
 TPM 2.0 chips. It is made out of three layers:
 .
   - Enhanced System API (ESAPI)
   - System API (SAPI), which implements the system layer API;
   - Marshaling/Unmarshaling (MU)
   - TPM Command Transmission Interface (TCTI), which is used by SAPI to
     allow communication with the TAB/RM layer;
 .
 This package contains the TCTI device libraries that client applications
 will link against when they require accessing the TPM.

Package: libtss2-tcti-mssim0t64
Provides: ${t64:Provides}
Architecture: any
Depends: tpm-udev, ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Breaks: libtss2-tcti-mssim0 (<< ${source:Version}), libtss2-esys0 (<< 3.0.1-2)
Replaces: libtss2-tcti-mssim0, libtss2-esys0 (<< 3.0.1-2)
Description: TPM2 Software stack library - TSS and TCTI libraries
 TPM2.0 TSS (Software Stack) consists of API layers provided to support
 TPM 2.0 chips. It is made out of three layers:
 .
   - Enhanced System API (ESAPI)
   - System API (SAPI), which implements the system layer API;
   - Marshaling/Unmarshaling (MU)
   - TPM Command Transmission Interface (TCTI), which is used by SAPI to
     allow communication with the TAB/RM layer;
 .
 This package contains the TCTI mssim libraries that client applications
 will link against when they require accessing the TPM.

Package: libtss2-tcti-swtpm0t64
Provides: ${t64:Provides}
Architecture: any
Depends: tpm-udev, ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Breaks: libtss2-tcti-swtpm0 (<< ${source:Version}), libtss2-esys0 (<< 3.0.1-2)
Replaces: libtss2-tcti-swtpm0, libtss2-esys0 (<< 3.0.1-2)
Description: TPM2 Software stack library - TSS and TCTI libraries
 TPM2.0 TSS (Software Stack) consists of API layers provided to support
 TPM 2.0 chips. It is made out of three layers:
 .
   - Enhanced System API (ESAPI)
   - System API (SAPI), which implements the system layer API;
   - Marshaling/Unmarshaling (MU)
   - TPM Command Transmission Interface (TCTI), which is used by SAPI to
     allow communication with the TAB/RM layer;
 .
 This package contains the TCTI swtpm libraries that client applications
 will link against when they require accessing the TPM.

Package: libtss2-tcti-pcap0t64
Provides: ${t64:Provides}
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Breaks: libtss2-tcti-pcap0 (<< ${source:Version}), libtss2-esys0 (<< 3.0.1-2)
Replaces: libtss2-tcti-pcap0, libtss2-esys0 (<< 3.0.1-2)
Description: TPM2 Software stack library - TSS and TCTI libraries
 TPM2.0 TSS (Software Stack) consists of API layers provided to support
 TPM 2.0 chips. It is made out of three layers:
 .
   - Enhanced System API (ESAPI)
   - System API (SAPI), which implements the system layer API;
   - Marshaling/Unmarshaling (MU)
   - TPM Command Transmission Interface (TCTI), which is used by SAPI to
     allow communication with the TAB/RM layer;
 .
 This package contains the TCTI pcap libraries that client applications
 will link against when they require accessing the TPM.

Package: libtss2-tcti-spi-helper0t64
Provides: ${t64:Provides}
Replaces: libtss2-tcti-spi-helper0
Breaks: libtss2-tcti-spi-helper0 (<< ${source:Version})
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: TPM2 Software stack library - TSS and TCTI libraries
 TPM2.0 TSS (Software Stack) consists of API layers provided to support
 TPM 2.0 chips. It is made out of three layers:
 .
   - Enhanced System API (ESAPI)
   - System API (SAPI), which implements the system layer API;
   - Marshaling/Unmarshaling (MU)
   - TPM Command Transmission Interface (TCTI), which is used by SAPI to
     allow communication with the TAB/RM layer;
 .
 This package contains the TCTI spi helper libraries that client applications
 will link against when they require accessing the TPM.

Package: libtss2-tcti-libtpms0t64
Provides: ${t64:Provides}
Replaces: libtss2-tcti-libtpms0
Breaks: libtss2-tcti-libtpms0 (<< ${source:Version})
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: TPM2 Software stack library - TSS and TCTI libraries
 TPM2.0 TSS (Software Stack) consists of API layers provided to support
 TPM 2.0 chips. It is made out of three layers:
 .
   - Enhanced System API (ESAPI)
   - System API (SAPI), which implements the system layer API;
   - Marshaling/Unmarshaling (MU)
   - TPM Command Transmission Interface (TCTI), which is used by SAPI to
     allow communication with the TAB/RM layer;
 .
 This package contains the TCTI libtpms libraries that client applications
 will link against when they require accessing the TPM.

Package: libtss2-tctildr0t64
Provides: ${t64:Provides}
Architecture: any
Depends: libtss2-tcti-cmd0t64,
         libtss2-tcti-device0t64,
         libtss2-tcti-libtpms0t64,
         libtss2-tcti-mssim0t64,
         libtss2-tcti-spi-helper0t64,
         libtss2-tcti-swtpm0t64,
         tpm-udev,
         ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Breaks: libtss2-tctildr0 (<< ${source:Version}), libtss2-esys0 (<< 3.0.1-2)
Replaces: libtss2-tctildr0, libtss2-esys0 (<< 3.0.1-2)
Description: TPM2 Software stack library - TSS and TCTI libraries
 TPM2.0 TSS (Software Stack) consists of API layers provided to support
 TPM 2.0 chips. It is made out of three layers:
 .
   - Enhanced System API (ESAPI)
