## tpm2-tss 4.1.3

=== debian/changelog ===
tpm2-tss (4.1.3-4) unstable; urgency=medium

  [ Zaiba Sanglikar ]
  * Add autopkgtest suite with upstream test suite (Closes: #1087380)

  [ Luca Boccassi ]
  * libtss2-dev: drop ${shlibs:Depends}
  * Add tpm2-tss metapackage that depends on all libtss2 library packages

 -- Mario Limonciello <superm1@debian.org>  Sun, 22 Feb 2026 07:57:28 -0600

tpm2-tss (4.1.3-3) unstable; urgency=medium

  [ Luca Boccassi ]
  * Build depend on tmpfiles and sysusers packages
  * Drop tpm-udev build dependency
  * Add d/s/options to ignore files in git but not in tarball

 -- Mario Limonciello <superm1@gmail.com>  Tue, 17 Feb 2026 22:56:25 -0600

tpm2-tss (4.1.3-2) unstable; urgency=medium

  [ Luca Boccassi ]
  * Install sysusers.d conf file

 -- Mario Limonciello <superm1@debian.org>  Mon, 16 Feb 2026 14:29:24 -0600

tpm2-tss (4.1.3-1.3) unstable; urgency=medium

  * Non-maintainer upload
  * Drop TCG license (Closes: #1115473)
  * d/copyright: Keep the upstream license for patches by default
  * Fix build with cmocka 2.0.1 (Closes: #1124214)

 -- Bastian Germann <bage@debian.org>  Tue, 13 Jan 2026 18:07:59 +0100

tpm2-tss (4.1.3-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch from outdated libfti to libftdi1 (Closes: #1072637)

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 26 Oct 2024 12:25:25 +0200

tpm2-tss (4.1.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport patches to fix FTBFS (Closes: #1070720)

 -- Luca Boccassi <bluca@debian.org>  Thu, 10 Oct 2024 01:46:57 +0100

tpm2-tss (4.1.3-1) unstable; urgency=low

  * New upstream version 4.1.3
    - Update debian/libtss2-tcti-cmd0t64.symbols

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Fri, 31 May 2024 06:38:56 +0800

tpm2-tss (4.1.0-1) unstable; urgency=low

  * New upstream version 4.1.0
    - Fixed CVE-2024-29040 (Closes: #1070140)
  * Refresh debian/patches/0001_disable_fapi_io_test.patch
  * Remove debian/patches/0003-test-unit-tcti-*.patch: already upstreamed.
  * Remove debian/patches/0004-tss2-tcti-tcti-libtpms-*.patch: already
    upstreamed.
  * Remove debian/patches/fix-tcti-spi-helper-big-endian.patch: already
    upstreamed.
  * Update debian/patches/disable-tests-on-big-endian.patch
  * Remove debian/patches/skip-tests-which-fail-on-32-bit.patch: already
    upstreamed
  * Add libtss2-tcti-i2c-helper0, libtss2-tcti-spi-ltt2go0,
    libtss2-tcti-spidev0
  * Update symbols file

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 07 May 2024 19:19:45 +0800

tpm2-tss (4.0.1-7.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches: Apply upstream patch to skip tests which fail on 32-bit
    with _FILE_BITS=64 (Closes: #1067418)

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 11 Apr 2024 23:02:54 +0200
