=== debian/control ===
--- 
+++ 
@@ -5,22 +5,28 @@
 Uploaders: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>,
            Ivan Hu <ivan.hu@ubuntu.com>,
            Mario Limonciello <superm1@gmail.com>
-Build-Depends: dpkg-dev (>= 1.22.5), acl,
+Build-Depends: acl,
                autoconf,
                autoconf-archive,
                debhelper-compat (= 13),
                docbook-xml,
                docbook-xsl,
                doxygen,
+               dpkg-dev (>= 1.22.5),
                libcmocka-dev (>= 1.0),
                libcurl4-openssl-dev | libcurl-dev,
+               libftdi1-dev,
+               libini-config-dev,
                libjson-c-dev,
                libltdl-dev,
                libssl-dev,
                libtool,
                libtpms-dev,
-               pkg-config,
-               tpm-udev,
+               libusb-1.0-0-dev,
+               pkgconf,
+               systemd | systemd-standalone-tmpfiles | systemd-tmpfiles,
+               systemd | systemd-standalone-sysusers | systemd-sysusers,
+               uthash-dev,
                uuid-dev,
                xsltproc
 Homepage: https://github.com/tpm2-software/tpm2-tss
@@ -59,8 +65,8 @@
 Architecture: any
 Depends: tpm-udev, ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
-Breaks: libtss2-fapi1 (<< ${source:Version}), libtss2-esys0 (<< 3.0.1-2)
-Replaces: libtss2-fapi1, libtss2-esys0 (<< 3.0.1-2)
+Breaks: libtss2-esys0 (<< 3.0.1-2), libtss2-fapi1 (<< ${source:Version})
+Replaces: libtss2-esys0 (<< 3.0.1-2), libtss2-fapi1
 Description: TPM2 Software stack library - TSS and TCTI libraries
  TPM2.0 TSS (Software Stack) consists of API layers provided to support
  TPM 2.0 chips. It is made out of three layers:
@@ -79,8 +85,10 @@
 Architecture: any
 Depends: tpm-udev, ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
-Breaks: libtss2-mu-4.0.1-0 (<< ${source:Version}), libtss2-esys0 (<< 3.0.1-2)
-Replaces: libtss2-mu-4.0.1-0, libtss2-esys0 (<< 3.0.1-2), libtss2-mu0 (<< 4.0.1-4)
+Breaks: libtss2-esys0 (<< 3.0.1-2), libtss2-mu-4.0.1-0 (<< ${source:Version})
+Replaces: libtss2-esys0 (<< 3.0.1-2),
+          libtss2-mu-4.0.1-0,
+          libtss2-mu0 (<< 4.0.1-4)
 Conflicts: libtss2-mu0
 Description: TPM2 Software stack library - TSS and TCTI libraries
  TPM2.0 TSS (Software Stack) consists of API layers provided to support
@@ -100,8 +108,8 @@
 Architecture: any
 Depends: tpm-udev, ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
-Breaks: libtss2-rc0 (<< ${source:Version}), libtss2-esys0 (<< 3.0.1-2)
-Replaces: libtss2-rc0, libtss2-esys0 (<< 3.0.1-2)
+Breaks: libtss2-esys0 (<< 3.0.1-2), libtss2-rc0 (<< ${source:Version})
+Replaces: libtss2-esys0 (<< 3.0.1-2), libtss2-rc0
 Description: TPM2 Software stack library - TSS and TCTI libraries
  TPM2.0 TSS (Software Stack) consists of API layers provided to support
  TPM 2.0 chips. It is made out of three layers:
@@ -120,8 +128,8 @@
 Architecture: any
 Depends: tpm-udev, ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
-Breaks: libtss2-sys1 (<< ${source:Version}), libtss2-esys0 (<< 3.0.1-2)
-Replaces: libtss2-sys1, libtss2-esys0 (<< 3.0.1-2)
+Breaks: libtss2-esys0 (<< 3.0.1-2), libtss2-sys1 (<< ${source:Version})
+Replaces: libtss2-esys0 (<< 3.0.1-2), libtss2-sys1
 Description: TPM2 Software stack library - TSS and TCTI libraries
  TPM2.0 TSS (Software Stack) consists of API layers provided to support
  TPM 2.0 chips. It is made out of three layers:
@@ -140,8 +148,8 @@
 Architecture: any
 Depends: tpm-udev, ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
-Breaks: libtss2-tcti-cmd0 (<< ${source:Version}), libtss2-esys0 (<< 3.0.1-2)
-Replaces: libtss2-tcti-cmd0, libtss2-esys0 (<< 3.0.1-2)
+Breaks: libtss2-esys0 (<< 3.0.1-2), libtss2-tcti-cmd0 (<< ${source:Version})
+Replaces: libtss2-esys0 (<< 3.0.1-2), libtss2-tcti-cmd0
 Description: TPM2 Software stack library - TSS and TCTI libraries
  TPM2.0 TSS (Software Stack) consists of API layers provided to support
  TPM 2.0 chips. It is made out of three layers:
@@ -160,8 +168,8 @@
 Architecture: any
 Depends: tpm-udev, ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
-Breaks: libtss2-tcti-device0 (<< ${source:Version}), libtss2-esys0 (<< 3.0.1-2)
-Replaces: libtss2-tcti-device0, libtss2-esys0 (<< 3.0.1-2)
+Breaks: libtss2-esys0 (<< 3.0.1-2), libtss2-tcti-device0 (<< ${source:Version})
+Replaces: libtss2-esys0 (<< 3.0.1-2), libtss2-tcti-device0
 Description: TPM2 Software stack library - TSS and TCTI libraries
  TPM2.0 TSS (Software Stack) consists of API layers provided to support
  TPM 2.0 chips. It is made out of three layers:
@@ -180,8 +188,8 @@
 Architecture: any
 Depends: tpm-udev, ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
-Breaks: libtss2-tcti-mssim0 (<< ${source:Version}), libtss2-esys0 (<< 3.0.1-2)
-Replaces: libtss2-tcti-mssim0, libtss2-esys0 (<< 3.0.1-2)
+Breaks: libtss2-esys0 (<< 3.0.1-2), libtss2-tcti-mssim0 (<< ${source:Version})
+Replaces: libtss2-esys0 (<< 3.0.1-2), libtss2-tcti-mssim0
 Description: TPM2 Software stack library - TSS and TCTI libraries
  TPM2.0 TSS (Software Stack) consists of API layers provided to support
  TPM 2.0 chips. It is made out of three layers:
@@ -200,8 +208,8 @@
 Architecture: any
 Depends: tpm-udev, ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
-Breaks: libtss2-tcti-swtpm0 (<< ${source:Version}), libtss2-esys0 (<< 3.0.1-2)
-Replaces: libtss2-tcti-swtpm0, libtss2-esys0 (<< 3.0.1-2)
+Breaks: libtss2-esys0 (<< 3.0.1-2), libtss2-tcti-swtpm0 (<< ${source:Version})
+Replaces: libtss2-esys0 (<< 3.0.1-2), libtss2-tcti-swtpm0
 Description: TPM2 Software stack library - TSS and TCTI libraries
  TPM2.0 TSS (Software Stack) consists of API layers provided to support
  TPM 2.0 chips. It is made out of three layers:
@@ -220,8 +228,8 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
-Breaks: libtss2-tcti-pcap0 (<< ${source:Version}), libtss2-esys0 (<< 3.0.1-2)
-Replaces: libtss2-tcti-pcap0, libtss2-esys0 (<< 3.0.1-2)
+Breaks: libtss2-esys0 (<< 3.0.1-2), libtss2-tcti-pcap0 (<< ${source:Version})
+Replaces: libtss2-esys0 (<< 3.0.1-2), libtss2-tcti-pcap0
 Description: TPM2 Software stack library - TSS and TCTI libraries
  TPM2.0 TSS (Software Stack) consists of API layers provided to support
  TPM 2.0 chips. It is made out of three layers:
@@ -255,43 +263,34 @@
  This package contains the TCTI spi helper libraries that client applications
  will link against when they require accessing the TPM.
 
-Package: libtss2-tcti-libtpms0t64
-Provides: ${t64:Provides}
-Replaces: libtss2-tcti-libtpms0
-Breaks: libtss2-tcti-libtpms0 (<< ${source:Version})
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Multi-Arch: same
-Description: TPM2 Software stack library - TSS and TCTI libraries
- TPM2.0 TSS (Software Stack) consists of API layers provided to support
- TPM 2.0 chips. It is made out of three layers:
- .
-   - Enhanced System API (ESAPI)
-   - System API (SAPI), which implements the system layer API;
-   - Marshaling/Unmarshaling (MU)
-   - TPM Command Transmission Interface (TCTI), which is used by SAPI to
-     allow communication with the TAB/RM layer;
- .
- This package contains the TCTI libtpms libraries that client applications
- will link against when they require accessing the TPM.
-
-Package: libtss2-tctildr0t64
-Provides: ${t64:Provides}
-Architecture: any
-Depends: libtss2-tcti-cmd0t64,
-         libtss2-tcti-device0t64,
-         libtss2-tcti-libtpms0t64,
-         libtss2-tcti-mssim0t64,
-         libtss2-tcti-spi-helper0t64,
-         libtss2-tcti-swtpm0t64,
-         tpm-udev,
-         ${misc:Depends},
-         ${shlibs:Depends}
-Multi-Arch: same
-Breaks: libtss2-tctildr0 (<< ${source:Version}), libtss2-esys0 (<< 3.0.1-2)
-Replaces: libtss2-tctildr0, libtss2-esys0 (<< 3.0.1-2)
-Description: TPM2 Software stack library - TSS and TCTI libraries
- TPM2.0 TSS (Software Stack) consists of API layers provided to support
- TPM 2.0 chips. It is made out of three layers:
- .
-   - Enhanced System API (ESAPI)
+Package: libtss2-tcti-spi-ftdi0
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: same
+Description: TPM2 Software stack library - TSS and TCTI libraries
+ TPM2.0 TSS (Software Stack) consists of API layers provided to support
+ TPM 2.0 chips. It is made out of three layers:
+ .
+   - Enhanced System API (ESAPI)
+   - System API (SAPI), which implements the system layer API;
+   - Marshaling/Unmarshaling (MU)
+   - TPM Command Transmission Interface (TCTI), which is used by SAPI to
+     allow communication with the TAB/RM layer;
+ .
+ This package contains the TCTI spi ftdi libraries that client applications
+ will link against when they require accessing the TPM.
+
+Package: libtss2-tcti-spi-ltt2go0
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: same
+Description: TPM2 Software stack library - TSS and TCTI libraries
+ TPM2.0 TSS (Software Stack) consists of API layers provided to support
+ TPM 2.0 chips. It is made out of three layers:
+ .
+   - Enhanced System API (ESAPI)
+   - System API (SAPI), which implements the system layer API;
+   - Marshaling/Unmarshaling (MU)
+   - TPM Command Transmission Interface (TCTI), which is used by SAPI to
+     allow communication with the TAB/RM layer;
+ .
