=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,4 @@
 #!/usr/bin/make -f
-
-include /usr/share/dpkg/architecture.mk
-
-export DEB_BUILD_MAINT_OPTIONS = optimize=-lto
 
 DB2MAN = /usr/share/sgml/docbook/stylesheet/xsl/docbook-xsl/manpages/docbook.xsl
 XP     = xsltproc -''-nonet -''-param man.charmap.use.subset "0"
@@ -13,14 +9,6 @@
 override_dh_autoreconf:
 	export LIBDL_LDFLAGS="-ldl"
 	dh_autoreconf ./bootstrap
-
-ifeq ($(DEB_HOST_ARCH),armhf)
-# The tests depend on mocking functions like open, read etc which get renamed
-# by the glibc headers when _FILE_BITS==64, see
-# https://github.com/tpm2-software/tpm2-tss/issues/2786
-override_dh_auto_test-arch:
-	true
-endif
 
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-unit --enable-doxygen-doc
@@ -46,3 +34,10 @@
 
 tpmtest.1: debian/tpmtest.xml
 	$(XP) $(DB2MAN) $<
+
+execute_after_dh_gencontrol:
+	# debian/files will not exist until dh_gencontrol has ran at least once.
+	# The list of libraries is everchanging, so generate the dependency lists
+	# automatically at build time.
+	tsslibs=$$(grep -E 'libtss2-*' ./debian/files | grep -v -e 'dbgsym' -e 'libtss2-dev' -e 'libtss2-meta' -e 'libtss2-doc' | tr '_' ' ' | awk '{ print $$1,"(=",$$2 ")" }' | paste -sd ',' - | sed -e 's/,/, /g'); \
+		dh_gencontrol -p libtss2-dev -p tpm2-tss -- -V"libtss2:All=$${tsslibs}"
