=== debian/tests/control ===
Tests: testsuite
Restrictions: allow-stderr
Depends: @,
 @builddeps@,
 iproute2,
 procps,
 swtpm-tools,
 swtpm,
 tpm-udev,
 udev,
